Recent

Author Topic: lazarus  (Read 671 times)

grisha90

  • Newbie
  • Posts: 1
lazarus
« on: April 29, 2019, 01:11:34 am »

Здравствуйте! Я не могу установить Лазарю на свой Мак. После того, как скачиваю fpc-3.0.4.intel.macosx и в терминал ввожу xcode-select ---install, пишет "
command line tools are already installed, use "Software Update" to install updates", но при очередной попытке установить fpc-3.0.4.intel.macosx выходит сообщение "you have to install Xcode and its command line tools before installing this package". Помогите, не знаю что делать.

julkas

  • Sr. Member
  • ****
  • Posts: 424
  • KISS principle / Lazarus 2.0.0 / FPC 3.0.4
Re: lazarus
« Reply #1 on: April 29, 2019, 08:08:13 pm »
Привет. Я не знаю как правильно установить Lazarus на Mac, но для FPC - попробуй

brew update > /dev/null;
brew install fpc > /dev/null;

Удачи

P.S. http://macappstore.org/lazarus/
« Last Edit: April 30, 2019, 01:03:26 pm by julkas »
procedure mulu64(a, b: QWORD; out clo, chi: QWORD); assembler;
asm
  mov rax, a
  mov rdx, b
  mul rdx
  mov [clo], rax
  mov [chi], rdx
end;

Serge Smirnov

  • Newbie
  • Posts: 2
Re: lazarus
« Reply #2 on: May 08, 2019, 10:18:13 pm »
Доброго здоровья. Это известная проблема. Вместо fpc-3.0.4.intel.macosx надо устанавливать  fpc-3.0.4a.intel.macosx.